/*
  Copyright 2010-2012 Grégory Soutadé

  This file is part of KissCount.

  KissCount is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  KissCount is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with KissCount.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef OPERATION_H
#define OPERATION_H

#include <vector>
#include <QString>

struct Operation {
    int id;
    int parent;
    unsigned int day;
    unsigned int month;
    unsigned int year;
    int amount;
    QString description;
    int category;
    bool fix_cost;
    int account;
    bool checked;
    int transfert;
    QString formula;
    bool meta;
    bool _virtual;
    std::vector<int> childs;

    bool operator == (int opId)
    {
        return id == opId;
    }
} ;

bool sortOperations(const Operation& op1, const Operation& op2);
bool reverseSortOperations(const Operation& op1, const Operation& op2);

#endif
