/*
  Copyright 2010-2012 Grégory Soutadé

  This file is part of KissCount.

  KissCount is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  KissCount is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with KissCount.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GENERATEDIALOG_H
#define GENERATEDIALOG_H

#include <QDialog>
#include <QComboBox>
#include <QLineEdit>

#include "wxUI.hpp"

class GenerateDialog : public QDialog
{
    Q_OBJECT;
    
public: 
    GenerateDialog(KissCount* kiss, wxUI *parent, int month, int year);
  
private slots:
    void OnYearFromChange(int index);
    void OnYearToChange(int index);
    void OnOK();
    void OnCancel();

private:
    KissCount* _kiss;
    wxUI* _wxUI;
    QComboBox* _yearFrom, *_monthFrom, *_yearTo, *_monthTo;
    std::map<int, std::vector<int> > _ops;
};
#endif
