/*
  Copyright 2010-2013 Grégory Soutadé

  This file is part of KissCount.

  KissCount is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  KissCount is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with KissCount.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SEARCHBANNER_H
#define SEARCHBANNER_H

#include <QtGui>

#include "view.hpp"
#include <model/model.hpp>

typedef void (*OnButtonEnter)(void* caller);

class SearchBanner: public QFrame
{
    Q_OBJECT;

public:
    SearchBanner(KissCount* kiss, QFrame* parent, void* caller=0, OnButtonEnter enterCallback=0);
    ~SearchBanner();

    std::vector<Operation> * Search();

private slots:
    void OnEnter();
    void OnCalendarFromPageChanged(int year, int month);
    void OnCalendarToPageChanged(int year, int month);

private:
    KissCount* _kiss;
    void* _caller;
    OnButtonEnter _enterCallback;

    std::vector<Operation> *_operations;
    QCalendarWidget* _calendarFrom, *_calendarTo;
    QCheckBox *_checkDateFrom, *_checkDateTo;
    QLineEdit* _description, *_amountFrom, *_amountTo;
    QListWidget* _category, *_account, *_optype;
};

#endif
