/*
  Copyright 2010-2012 Grégory Soutadé

  This file is part of KissCount.

  KissCount is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  KissCount is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with KissCount.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <QtGui>

#include "FloatDelegate.hpp"

QWidget * FloatDelegate::createEditor (QWidget * parent, const QStyleOptionViewItem & option, const QModelIndex & index ) const
{
    return new QLineEdit(parent);
}

void FloatDelegate::setModelData(QWidget *editor, QAbstractItemModel *model,
				  const QModelIndex &index) const
{
    QLineEdit *line = qobject_cast<QLineEdit *>(editor);
    QString s ;
    bool ok;
    double value = line->text().toDouble(&ok);
    if (ok)
	model->setData(index, qVariantFromValue(s.sprintf("%.2lf", value)));
}

void FloatDelegate::setEditorData(QWidget *editor,
				 const QModelIndex &index) const
{
    QLineEdit* line = qobject_cast<QLineEdit *>(editor);
    line->setText(qVariantValue<QString>(index.data()));
}
